<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="UTF-8">
    <title>Iprefua : IP, référent HTTP, agent utilisateur...</title>
    <meta name="author" content="Miraty">
    <meta name="distribution" content="global">
    <meta name="robots" content="index, follow">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Une page PHP qui répond l'ip, la langue, l'agent utilisateur et le référent HTTP du client.">
    <?php
      require "bibli/lesserphp/lessc.inc.php";
      $less = new lessc;
      $less->setFormatter("compressed");
      $less->checkedCompile("style.less", "style.min.css");
    ?>
    <link type="text/css" rel="stylesheet" href="style.min.css">
  </head>

  <body>

		<section>
      Adresse IP :<br>
      <div class="samp-wrapper">
        <samp><?php echo htmlspecialchars($_SERVER['REMOTE_ADDR']); ?></samp>
      </div>
      <div>
        <span class="text-info">Une adresse <abbr title="Internet Protocol">IP</abbr> permet d'identifier un appareil sur Internet. Elle est utilisée pour toutes les communications sur Internet.</span>
        <br>
        <span class="text-info"><a href="https://ipv4.antopie.org">Tester spécifiquement l'IPv4</a> · <a href="https://ipv6.antopie.org">Tester spécifiquement l'IPv6</a></span>
      </div>
		</section>

		<section>

      <?php if (!isset($_SERVER['HTTP_REFERER'])) { ?>
      <div>
  	    Votre navigateur n'a pas envoyé de <a href="https://fr.wikipedia.org/wiki/R%C3%A9f%C3%A9rent_(informatique)">référent HTTP</a> (HTTP referer).<br>
      </div>
      <?php } else { ?>

  	  <a href="https://fr.wikipedia.org/wiki/R%C3%A9f%C3%A9rent_(informatique)">Référent HTTP</a> :

      <div class="samp-wrapper">
        <samp><?php echo htmlspecialchars($_SERVER['HTTP_REFERER']); ?></samp>
      </div>
      <?php } ?>

    	<span class="text-info">Un référent HTTP est une information envoyée par votre navigateur indiquant au site sur quelle page vous vous trouviez avant d'utiliser le lien qui vous a conduit ici.</span>

    </section>

  	<section>
  		<a href="https://fr.wikipedia.org/wiki/User_agent">Agent utilisateur</a> (User-Agent) :
      <div class="samp-wrapper">
        <samp><?php echo htmlspecialchars($_SERVER['HTTP_USER_AGENT']); ?></samp>
      </div>
  	  <span class="text-info"> Une chaîne d'agent utilisateur est une information envoyée par votre navigateur indiquant au site diverses informations sur vous. Il peut contenir votre système d'exploitation, votre navigateur, sa version et votre langue.</span>
  	</section>

    <section>
      Langues demandées (Accept-Language) :
      <div class="samp-wrapper">
        <samp><?php echo htmlspecialchars($_SERVER['HTTP_ACCEPT_LANGUAGE']); ?></samp>
      </div>
      <span class="text-info"> Votre navigateur envoie aux pages qu'il visite la liste des langues que vous êtes censé·e pouvoir lire (généralement en se basant sur la langue de son interface).</span>
    </section>

    <footer>
      <span class="text-info"><abbr title="IP, REFerer, User Agent">Iprefua</abbr> est un logiciel libre dont le <a href="https://code.antopie.org/miraty/iprefua">code source</a> est disponible selon les termes de l'<a href="LICENSE.html"><abbr title="GNU Affero General Public License version 3 ou toute version ultérieure">AGPLv3+</abbr></a>.</span>
    </footer>

  </body>
</html>
